Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Upcall_Wrapper Class Reference

Wraps the activities of the _skel operations. More...

`#include <Upcall_Wrapper.h>`

Collaboration diagram for TAO_Upcall_Wrapper:

[legend]
List of all members.

## Public Methods
| TAO_Upcall_Wrapper (TAO::SArgument *_tao_arguments, size_t nargs, TAO::SArgument *_tao_retval, TAO_ServerRequest *_tao_server_request, void *_tao_servant_upcall)
virtual | ~TAO_Upcall_Wrapper (void)
void | pre_upcall (void)
void | post_upcall (void)
## Private Attributes
TAO::SArgument * | arglist_
size_t | nargs_
TAO::SArgument * | retval_
TAO_ServerRequest * | tao_server_request_
void * | servant_upcall_

## Detailed Description

Wraps the activities of the _skel operations.

## Constructor & Destructor Documentation

TAO_Upcall_Wrapper::TAO_Upcall_Wrapper | ( | TAO::SArgument * | _tao_arguments,
|  | size_t | nargs,
|  | TAO::SArgument * | _tao_retval,
|  | TAO_ServerRequest * | _tao_server_request,
|  | void * | _tao_servant_upcall
| ) | `[inline]`

virtual TAO_Upcall_Wrapper::~TAO_Upcall_Wrapper | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void TAO_Upcall_Wrapper::post_upcall | ( | void |  | ) | `[inline]`

void TAO_Upcall_Wrapper::pre_upcall | ( | void |  | ) | `[inline]`

## Member Data Documentation

TAO::SArgument* TAO_Upcall_Wrapper::arglist_`[private]`

size_t TAO_Upcall_Wrapper::nargs_`[private]`

TAO::SArgument* TAO_Upcall_Wrapper::retval_`[private]`

void* TAO_Upcall_Wrapper::servant_upcall_`[private]`

TAO_ServerRequest* TAO_Upcall_Wrapper::tao_server_request_`[private]`

The documentation for this class was generated from the following file:

- Upcall_Wrapper.h